org.firebirdsql.jdbc.parser

## Class JaybirdSqlLexer

- java.lang.Object
- - org.antlr.v4.runtime.Recognizer<java.lang.Integer,org.antlr.v4.runtime.atn.LexerATNSimulator>
  - - org.antlr.v4.runtime.Lexer
    - - org.firebirdsql.jdbc.parser.JaybirdSqlLexer

- All Implemented Interfaces:
    org.antlr.v4.runtime.TokenSource

      public class JaybirdSqlLexer
      extends org.antlr.v4.runtime.Lexer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.antlr.v4.runtime.atn.ATN` | `_ATN`
    `protected static org.antlr.v4.runtime.dfa.DFA[]` | `_decisionToDFA`
    `protected java.util.ArrayList` | `_errorMessages`
    `static java.lang.String` | `_serializedATN`
    `protected static org.antlr.v4.runtime.atn.PredictionContextCache` | `_sharedContextCache`
    `static int` | `ALL`
    `static int` | `AND`
    `static int` | `AS`
    `static int` | `AVG`
    `static int` | `BINARY_STRING`
    `static int` | `BOTH`
    `static int` | `CAST`
    `static java.lang.String[]` | `channelNames`
    `static int` | `CHARACTER`
    `static int` | `COLLATE`
    `static int` | `COMMA`
    `static int` | `COMMENT`
    `static int` | `COUNT`
    `static int` | `DB_KEY`
    `static int` | `DEFAULT`
    `static int` | `DELETE`
    `static int` | `DISTINCT`
    `static int` | `EXECUTE`
    `static int` | `EXTRACT`
    `static int` | `FOR`
    `static int` | `FROM`
    `static int` | `GEN_ID`
    `static int` | `GENERIC_ID`
    `static int` | `INSERT`
    `static int` | `INTEGER`
    `static int` | `INTO`
    `static int` | `KW_BIGINT`
    `static int` | `KW_BLOB`
    `static int` | `KW_BOOLEAN`
    `static int` | `KW_CHAR`
    `static int` | `KW_DATE`
    `static int` | `KW_DECIMAL`
    `static int` | `KW_DOUBLE`
    `static int` | `KW_FLOAT`
    `static int` | `KW_INT`
    `static int` | `KW_INTEGER`
    `static int` | `KW_NCHAR`
    `static int` | `KW_NUMERIC`
    `static int` | `KW_NVARCHAR`
    `static int` | `KW_PRECISION`
    `static int` | `KW_SIZE`
    `static int` | `KW_SMALLINT`
    `static int` | `KW_TIME`
    `static int` | `KW_TIMESTAMP`
    `static int` | `KW_VARCHAR`
    `static int` | `LEADING`
    `static int` | `LEFT_PAREN`
    `static int` | `MATCHING`
    `static int` | `MAXIMUM`
    `static int` | `MINIMUM`
    `static java.lang.String[]` | `modeNames`
    `static int` | `NEXT`
    `static int` | `NULL`
    `static int` | `NUMERIC`
    `static int` | `OR`
    `static int` | `PROCEDURE`
    `static int` | `QUOTED_ID`
    `static int` | `REAL`
    `static int` | `RETURNING`
    `static int` | `RIGHT_PAREN`
    `static java.lang.String[]` | `ruleNames`
    `static int` | `SEGMENT`
    `static int` | `SELECT`
    `static int` | `SET`
    `static int` | `SL_COMMENT`
    `static int` | `STRING`
    `static int` | `SUB_TYPE`
    `static int` | `SUBSTRING`
    `static int` | `SUM`
    `static int` | `T__0`
    `static int` | `T__1`
    `static int` | `T__10`
    `static int` | `T__2`
    `static int` | `T__3`
    `static int` | `T__4`
    `static int` | `T__5`
    `static int` | `T__6`
    `static int` | `T__7`
    `static int` | `T__8`
    `static int` | `T__9`
    `static java.lang.String[]` | `tokenNames` Deprecated. Use `VOCABULARY` instead.
    `static int` | `TRAILING`
    `static int` | `TRIM`
    `static int` | `TRUTH_VALUE`
    `static int` | `UNKNOWN`
    `static int` | `UPDATE`
    `static int` | `VALUE`
    `static int` | `VALUES`
    `static org.antlr.v4.runtime.Vocabulary` | `VOCABULARY`
    `static int` | `WS`

    - ### Fields inherited from class org.antlr.v4.runtime.Lexer

      `_channel, _factory, _hitEOF, _input, _mode, _modeStack, _text, _token, _tokenFactorySourcePair, _tokenStartCharIndex, _tokenStartCharPositionInLine, _tokenStartLine, _type, DEFAULT_MODE, DEFAULT_TOKEN_CHANNEL, HIDDEN, MAX_CHAR_VALUE, MIN_CHAR_VALUE, MORE, SKIP`

    - ### Fields inherited from class org.antlr.v4.runtime.Recognizer

      `_interp, EOF`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JaybirdSqlLexer(org.antlr.v4.runtime.CharStream input)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `emitErrorMessage(java.lang.String msg)`
    `org.antlr.v4.runtime.atn.ATN` | `getATN()`
    `java.lang.String[]` | `getChannelNames()`
    `java.util.Collection` | `getErrorMessages()`
    `java.lang.String` | `getGrammarFileName()`
    `java.lang.String[]` | `getModeNames()`
    `java.lang.String[]` | `getRuleNames()`
    `java.lang.String` | `getSerializedATN()`
    `java.lang.String[]` | `getTokenNames()` Deprecated.
    `org.antlr.v4.runtime.Vocabulary` | `getVocabulary()`

    - ### Methods inherited from class org.antlr.v4.runtime.Lexer

      `emit, emit, emitEOF, getAllTokens, getChannel, getCharErrorDisplay, getCharIndex, getCharPositionInLine, getErrorDisplay, getErrorDisplay, getInputStream, getLine, getSourceName, getText, getToken, getTokenFactory, getType, mode, more, nextToken, notifyListeners, popMode, pushMode, recover, recover, reset, setChannel, setCharPositionInLine, setInputStream, setLine, setText, setToken, setTokenFactory, setType, skip`

    - ### Methods inherited from class org.antlr.v4.runtime.Recognizer

      `action, addErrorListener, getErrorHeader, getErrorListenerDispatch, getErrorListeners, getInterpreter, getParseInfo, getRuleIndexMap, getState, getTokenErrorDisplay, getTokenType, getTokenTypeMap, precpred, removeErrorListener, removeErrorListeners, sempred, setInterpreter, setState`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _decisionToDFA

          protected static final org.antlr.v4.runtime.dfa.DFA[] _decisionToDFA

    - #### _sharedContextCache

          protected static final org.antlr.v4.runtime.atn.PredictionContextCache _sharedContextCache

    - #### T__0

          public static final int T__0

      See Also:
        Constant Field Values

    - #### T__1

          public static final int T__1

      See Also:
        Constant Field Values

    - #### T__2

          public static final int T__2

      See Also:
        Constant Field Values

    - #### T__3

          public static final int T__3

      See Also:
        Constant Field Values

    - #### T__4

          public static final int T__4

      See Also:
        Constant Field Values

    - #### T__5

          public static final int T__5

      See Also:
        Constant Field Values

    - #### T__6

          public static final int T__6

      See Also:
        Constant Field Values

    - #### T__7

          public static final int T__7

      See Also:
        Constant Field Values

    - #### T__8

          public static final int T__8

      See Also:
        Constant Field Values

    - #### T__9

          public static final int T__9

      See Also:
        Constant Field Values

    - #### T__10

          public static final int T__10

      See Also:
        Constant Field Values

    - #### ALL

          public static final int ALL

      See Also:
        Constant Field Values

    - #### AND

          public static final int AND

      See Also:
        Constant Field Values

    - #### AS

          public static final int AS

      See Also:
        Constant Field Values

    - #### AVG

          public static final int AVG

      See Also:
        Constant Field Values

    - #### BOTH

          public static final int BOTH

      See Also:
        Constant Field Values

    - #### CAST

          public static final int CAST

      See Also:
        Constant Field Values

    - #### CHARACTER

          public static final int CHARACTER

      See Also:
        Constant Field Values

    - #### COUNT

          public static final int COUNT

      See Also:
        Constant Field Values

    - #### COLLATE

          public static final int COLLATE

      See Also:
        Constant Field Values

    - #### DEFAULT

          public static final int DEFAULT

      See Also:
        Constant Field Values

    - #### DELETE

          public static final int DELETE

      See Also:
        Constant Field Values

    - #### DISTINCT

          public static final int DISTINCT

      See Also:
        Constant Field Values

    - #### DB_KEY

          public static final int DB_KEY

      See Also:
        Constant Field Values

    - #### EXTRACT

          public static final int EXTRACT

      See Also:
        Constant Field Values

    - #### EXECUTE

          public static final int EXECUTE

      See Also:
        Constant Field Values

    - #### FOR

          public static final int FOR

      See Also:
        Constant Field Values

    - #### FROM

          public static final int FROM

      See Also:
        Constant Field Values

    - #### GEN_ID

          public static final int GEN_ID

      See Also:
        Constant Field Values

    - #### INSERT

          public static final int INSERT

      See Also:
        Constant Field Values

    - #### INTO

          public static final int INTO

      See Also:
        Constant Field Values

    - #### LEADING

          public static final int LEADING

      See Also:
        Constant Field Values

    - #### MATCHING

          public static final int MATCHING

      See Also:
        Constant Field Values

    - #### MINIMUM

          public static final int MINIMUM

      See Also:
        Constant Field Values

    - #### MAXIMUM

          public static final int MAXIMUM

      See Also:
        Constant Field Values

    - #### NULL

          public static final int NULL

      See Also:
        Constant Field Values

    - #### NEXT

          public static final int NEXT

      See Also:
        Constant Field Values

    - #### OR

          public static final int OR

      See Also:
        Constant Field Values

    - #### PROCEDURE

          public static final int PROCEDURE

      See Also:
        Constant Field Values

    - #### RETURNING

          public static final int RETURNING

      See Also:
        Constant Field Values

    - #### SEGMENT

          public static final int SEGMENT

      See Also:
        Constant Field Values

    - #### SELECT

          public static final int SELECT

      See Also:
        Constant Field Values

    - #### SET

          public static final int SET

      See Also:
        Constant Field Values

    - #### SUBSTRING

          public static final int SUBSTRING

      See Also:
        Constant Field Values

    - #### SUB_TYPE

          public static final int SUB_TYPE

      See Also:
        Constant Field Values

    - #### SUM

          public static final int SUM

      See Also:
        Constant Field Values

    - #### TRIM

          public static final int TRIM

      See Also:
        Constant Field Values

    - #### TRAILING

          public static final int TRAILING

      See Also:
        Constant Field Values

    - #### UNKNOWN

          public static final int UNKNOWN

      See Also:
        Constant Field Values

    - #### UPDATE

          public static final int UPDATE

      See Also:
        Constant Field Values

    - #### VALUE

          public static final int VALUE

      See Also:
        Constant Field Values

    - #### VALUES

          public static final int VALUES

      See Also:
        Constant Field Values

    - #### KW_BLOB

          public static final int KW_BLOB

      See Also:
        Constant Field Values

    - #### KW_BIGINT

          public static final int KW_BIGINT

      See Also:
        Constant Field Values

    - #### KW_BOOLEAN

          public static final int KW_BOOLEAN

      See Also:
        Constant Field Values

    - #### KW_CHAR

          public static final int KW_CHAR

      See Also:
        Constant Field Values

    - #### KW_DATE

          public static final int KW_DATE

      See Also:
        Constant Field Values

    - #### KW_DECIMAL

          public static final int KW_DECIMAL

      See Also:
        Constant Field Values

    - #### KW_DOUBLE

          public static final int KW_DOUBLE

      See Also:
        Constant Field Values

    - #### KW_PRECISION

          public static final int KW_PRECISION

      See Also:
        Constant Field Values

    - #### KW_FLOAT

          public static final int KW_FLOAT

      See Also:
        Constant Field Values

    - #### KW_INTEGER

          public static final int KW_INTEGER

      See Also:
        Constant Field Values

    - #### KW_INT

          public static final int KW_INT

      See Also:
        Constant Field Values

    - #### KW_NCHAR

          public static final int KW_NCHAR

      See Also:
        Constant Field Values

    - #### KW_NUMERIC

          public static final int KW_NUMERIC

      See Also:
        Constant Field Values

    - #### KW_NVARCHAR

          public static final int KW_NVARCHAR

      See Also:
        Constant Field Values

    - #### KW_SMALLINT

          public static final int KW_SMALLINT

      See Also:
        Constant Field Values

    - #### KW_TIME

          public static final int KW_TIME

      See Also:
        Constant Field Values

    - #### KW_TIMESTAMP

          public static final int KW_TIMESTAMP

      See Also:
        Constant Field Values

    - #### KW_VARCHAR

          public static final int KW_VARCHAR

      See Also:
        Constant Field Values

    - #### KW_SIZE

          public static final int KW_SIZE

      See Also:
        Constant Field Values

    - #### LEFT_PAREN

          public static final int LEFT_PAREN

      See Also:
        Constant Field Values

    - #### RIGHT_PAREN

          public static final int RIGHT_PAREN

      See Also:
        Constant Field Values

    - #### COMMA

          public static final int COMMA

      See Also:
        Constant Field Values

    - #### INTEGER

          public static final int INTEGER

      See Also:
        Constant Field Values

    - #### NUMERIC

          public static final int NUMERIC

      See Also:
        Constant Field Values

    - #### REAL

          public static final int REAL

      See Also:
        Constant Field Values

    - #### STRING

          public static final int STRING

      See Also:
        Constant Field Values

    - #### BINARY_STRING

          public static final int BINARY_STRING

      See Also:
        Constant Field Values

    - #### TRUTH_VALUE

          public static final int TRUTH_VALUE

      See Also:
        Constant Field Values

    - #### GENERIC_ID

          public static final int GENERIC_ID

      See Also:
        Constant Field Values

    - #### QUOTED_ID

          public static final int QUOTED_ID

      See Also:
        Constant Field Values

    - #### SL_COMMENT

          public static final int SL_COMMENT

      See Also:
        Constant Field Values

    - #### COMMENT

          public static final int COMMENT

      See Also:
        Constant Field Values

    - #### WS

          public static final int WS

      See Also:
        Constant Field Values

    - #### channelNames

          public static java.lang.String[] channelNames

    - #### modeNames

          public static java.lang.String[] modeNames

    - #### ruleNames

          public static final java.lang.String[] ruleNames

    - #### VOCABULARY

          public static final org.antlr.v4.runtime.Vocabulary VOCABULARY

    - #### tokenNames

          @Deprecated
          public static final java.lang.String[] tokenNames

      Deprecated. Use `VOCABULARY` instead.

    - #### _errorMessages

          protected java.util.ArrayList _errorMessages

    - #### _serializedATN

          public static final java.lang.String _serializedATN

      See Also:
        Constant Field Values

    - #### _ATN

          public static final org.antlr.v4.runtime.atn.ATN _ATN

  - ### Constructor Detail

    - #### JaybirdSqlLexer

          public JaybirdSqlLexer(org.antlr.v4.runtime.CharStream input)

  - ### Method Detail

    - #### getTokenNames

          @Deprecated
          public java.lang.String[] getTokenNames()

      Deprecated.
      Overrides:
        `getTokenNames` in class `org.antlr.v4.runtime.Lexer`

    - #### getVocabulary

          public org.antlr.v4.runtime.Vocabulary getVocabulary()

      Overrides:
        `getVocabulary` in class `org.antlr.v4.runtime.Recognizer<java.lang.Integer,org.antlr.v4.runtime.atn.LexerATNSimulator>`

    - #### getErrorMessages

          public java.util.Collection getErrorMessages()

    - #### emitErrorMessage

          public void emitErrorMessage(java.lang.String msg)

    - #### getGrammarFileName

          public java.lang.String getGrammarFileName()

      Specified by:
        `getGrammarFileName` in class `org.antlr.v4.runtime.Recognizer<java.lang.Integer,org.antlr.v4.runtime.atn.LexerATNSimulator>`

    - #### getRuleNames

          public java.lang.String[] getRuleNames()

      Specified by:
        `getRuleNames` in class `org.antlr.v4.runtime.Recognizer<java.lang.Integer,org.antlr.v4.runtime.atn.LexerATNSimulator>`

    - #### getSerializedATN

          public java.lang.String getSerializedATN()

      Overrides:
        `getSerializedATN` in class `org.antlr.v4.runtime.Recognizer<java.lang.Integer,org.antlr.v4.runtime.atn.LexerATNSimulator>`

    - #### getChannelNames

          public java.lang.String[] getChannelNames()

      Overrides:
        `getChannelNames` in class `org.antlr.v4.runtime.Lexer`

    - #### getModeNames

          public java.lang.String[] getModeNames()

      Overrides:
        `getModeNames` in class `org.antlr.v4.runtime.Lexer`

    - #### getATN

          public org.antlr.v4.runtime.atn.ATN getATN()

      Specified by:
        `getATN` in class `org.antlr.v4.runtime.Recognizer<java.lang.Integer,org.antlr.v4.runtime.atn.LexerATNSimulator>`

Copyright © 2001-2021 Jaybird (Firebird JDBC/JCA) team. All rights reserved.